list users organizations and any associated invitation.md

List user's organizations and any associated invitation

GET https://app.mk.io/api/v1/user/organizations

This endpoint return a list of organizations that the user has access to, or is invited to.

Requires authentication; no additional RBAC permissions required.

Authentication

Example request

curl -X GET "https://app.mk.io/api/v1/user/organizations" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

Example:

{
  "kind": "string",
  "value": [
    {
      "kind": "string",
      "metadata": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string"
      },
      "spec": {
        "invite": {
          "comment": "string",
          "invitedBy": "string",
          "state": "accepted"
        }
      }
    }
  ]
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}